<?php

namespace Classifieds\Category\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Classifieds\Category\Models\Category;

class CategoryAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Category $category,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
